# List Shared Jobs

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List Shared Jobs"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v2/workspaces/{workspace_id}/shared_jobs"}
  context={"endpoint"}
>
  
</MethodEndpoint>

List shared job links in this workspace, most recently created first.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the id of the workspace.","in":"path","name":"workspace_id","required":true,"schema":{"description":"Type the id of the workspace.","format":"uuid","title":"Workspace Id","type":"string"}},{"in":"query","name":"page","required":false,"schema":{"default":1,"minimum":1,"title":"Page","type":"integer"}},{"in":"query","name":"limit","required":false,"schema":{"default":10,"maximum":100,"minimum":1,"title":"Limit","type":"integer"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"properties":{"created_at":{"format":"date-time","title":"Created At","type":"string"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"expiration_date":{"format":"date-time","title":"Expiration Date","type":"string"},"is_revoked":{"title":"Is Revoked","type":"boolean"},"job_id":{"format":"uuid","title":"Job Id","type":"string"},"link":{"title":"Link","type":"string"},"login_required":{"title":"Login Required","type":"boolean"},"shared_job_id":{"format":"uuid","title":"Shared Job Id","type":"string"},"show_files":{"title":"Show Files","type":"boolean"},"title":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Title"},"workspace_id":{"format":"uuid","title":"Workspace Id","type":"string"},"workspace_name":{"title":"Workspace Name","type":"string"}},"required":["shared_job_id","job_id","workspace_id","workspace_name","link","is_revoked","expiration_date","description","show_files","title","login_required","created_at"],"title":"SharedJobResponse","type":"object"},"title":"Data","type":"array"},"has_more":{"title":"Has More","type":"boolean"},"total":{"title":"Total","type":"integer"}},"required":["data","has_more","total"],"title":"PaginatedSharedJobs","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
